import { View } from '@tarojs/components'
import { Tag } from '@antmjs/vantui'
import BarCode from '@/components/barcode';
import { useMemo } from 'react';

export default (props) => {
  const { barData, person } = props;

  const { tagType, tagText } = useMemo(() => {
    const hasReport = barData.reqStat === '6'

    return {
      tagType: hasReport ? 'success' : undefined,
      tagText: hasReport ? '阴性' : '报告未出',
     }
  }, [barData])

  return (
    <View className='history-item'>
      <View className='history-item-code'>
        <BarCode ratio={0.5} height={60} code={barData.barcode} />
      </View>
      <View className='history-item-info'>
        <View>{person?.personName}</View>
        <View>{barData.sampledDt || <View style={{ color: 'red' }} >未采样</View>}</View>
        <View>
          <Tag size='large' type={tagType}>{tagText}</Tag>
        </View>
      </View>
    </View>
  )
}
